\documentclass{standalone}
\usepackage{tikz}
\begin{document}
\begin{tikzpicture}[>=latex,
    conductor/.style={line width=2pt,orange,rounded corners}]

  % surface
  \draw[fill=gray!60] (-3,-3) rectangle (3,-1);
  \node at (1,-2) {$\Delta S$};
  
  % fixed conductor
  \draw[conductor] (3,-5) -- ++(90:8) -- ++(180:6) -- ++(270:8);

  % mobile conductor P
  \draw[conductor] (-3.2,-1) -- ++(0:6.4) node[pos=1.05] {P};

  % mobile conductor Q
  \draw[conductor] (-3.2,-3) -- ++(0:6.4) node[pos=1.05] {Q};
  
  % magnetic field
  \node[blue] at (3.5,3.5) {$\vec{B}$};
  \foreach \px in {-4,-2,0,2,4} {
    \foreach \py in {-4,-2,0,2,4} {
      \begin{scope}[xshift=\px cm,yshift=\py cm]
        \draw[blue] (-2pt,-2pt) -- (2pt,2pt);
        \draw[blue] (2pt,-2pt) -- (-2pt,2pt);
      \end{scope}
    }
  }
  
  % velocity
  \draw[->] (0,-1) -- (0,-1.5) node[right] {$\vec{v}$};

  % length
  \draw[<->] (-3,-3.5) -- node[above] {l} ++(0:6);

  % height
  \draw[<->] (-1.5,-1) -- node[right] {$v\Delta t$} ++(-90:2);

  % intensity
  \draw[->] (0.5,3.2) -- ++(180:1) node[pos=1.1] {I};
  
\end{tikzpicture}
\end{document}
